%% Tilting of the dipoles
% Atom Number Density      = 1250 ppum

ppum                                          = 1250;

%% theta = 0

idx                                           = 0;

% Loop over Lx and Ly values
for Lx = 2:0.4:6
    for Ly = 2:0.4:6

        % Initialize OptionsStruct
        OptionsStruct = struct;

        % Assign values to OptionsStruct
        OptionsStruct.NumberOfAtoms           = ppum * (Lx*Ly);     
        OptionsStruct.DipolarPolarAngle       = 0;
        OptionsStruct.DipolarAzimuthAngle     = 0;
        OptionsStruct.ScatteringLength        = 75.00;        

        OptionsStruct.TrapFrequencies         = [0, 0, 500];
        OptionsStruct.TrapPotentialType       = 'None';

        OptionsStruct.NumberOfGridPoints      = [128, 128];
        OptionsStruct.Dimensions              = [Lx, Ly];      
        OptionsStruct.TimeStepSize            = 1E-4;            % in s
        OptionsStruct.MinimumTimeStepSize     = 1E-5;            % in s
        OptionsStruct.TimeCutOff              = 1E6;             % in s
        OptionsStruct.EnergyTolerance         = 5E-10;
        OptionsStruct.ResidualTolerance       = 1E-05;
        OptionsStruct.NoiseScaleFactor        = 0.05;
        
        OptionsStruct.MaxIterations           = 10;      
        OptionsStruct.VariationalWidth        = 1.00;       
        OptionsStruct.WidthLowerBound         = 0.01;
        OptionsStruct.WidthUpperBound         = 12;
        OptionsStruct.WidthCutoff             = 1e-2;

        OptionsStruct.PlotLive                = false;
        OptionsStruct.JobNumber               = idx;
        OptionsStruct.RunOnGPU                = true;
        OptionsStruct.SaveData                = true;
        OptionsStruct.SaveDirectory           = sprintf('./Results/Data_TiltingOfDipoles/TransitionAngle/OptimalSystemSize/Hz500/Degree%i', rad2deg(OptionsStruct.DipolarPolarAngle));

        options = Helper.convertstruct2cell(OptionsStruct);
        clear OptionsStruct
    
        solver = VariationalSolver2D.DipolarGas(options{:});
        pot = VariationalSolver2D.Potentials(options{:});
        solver.Potential = pot.trap();
    
        % Run Solver
        [Params, Transf, psi, V, VDk] = solver.run();

        idx                                   = idx + 1;
    end
end
